Subject: bug#45578: closed (Re: bug#45578: gnutls 3.6.12 can consistently fail to build)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Feb 2021 04:18:02 +0000

Your bug report

#45578: gnutls 3.6.12 can consistently fail to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45578: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45578
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45578: gnutls 3.6.12 can consistently fail to build
From: Chris Marusich <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Jan 2020 00:02:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo Famulari <[email-masked]> writes:

> Is it <https://bugs.gnu.org/44559>?
>
> That bug is about GnuTLS 3.6.12 being written to expire — there is not
> really much we can do about it.
>
> It's happened more than once, too.

Yes, upon closer investigation, that was indeed the cause.  I can
confirm that I was able to work around the issue by traveling back in
time to January 1st, 2020 and doing the build then.

Going back to the future, that will be the hard part now...

-- 
Chris

Subject: gnutls 3.6.12 can consistently fail to build
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Thu, 31 Dec 2020 12:44:36 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

While attempting to run...

guix pull --cores=1 --max-jobs=1 --no-substitutes

...after installing Guix System in an x86_64 VM using...

https://ftp.gnu.org/gnu/guix/guix-system-install-1.2.0.x86_64-linux.iso.xz

...I was unable to build gnutls 3.6.12.  This prevented me from running
"guix pull" without using substitutes.  Substitutes are available for
this derivation, so it seems that a build succeeded at some point on the
build farm.  However, in my VM, I tried 71 times to build the
problematic gnutls derivation repeatedly, and it failed every time.

Every time, the error was: "You need openssl to run this test"

It was mentioned in the IRC chat that this is a known issue, but I could
not find a bug report about it:

http://logs.guix.gnu.org/guix/2020-12-29.log#090745

"<efraim> [email-masked] is known to fail, something about missing the
time window when it will build and pass the tests"

-- 
Chris